Bug 2118172 - GRUB2 isn't updating the list in Fedora 36 Silverblue
Summary: GRUB2 isn't updating the list in Fedora 36 Silverblue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 36
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Javier Martinez Canillas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-08-14 17:29 UTC by Eduardo Medina
Modified: 2022-09-01 09:39 UTC (History)
8 users (show)

Fixed In Version: grub2-2.06-52.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-01 09:39:47 UTC
Type: Bug


Attachments (Terms of Use)
Defective version of GRUB2 in Fedora 36 Silverblue (74.23 KB, image/png)
2022-08-14 17:29 UTC, Eduardo Medina
no flags Details
"rpm-ostree status" and "journalctl -b -1 -u ostree-finalize-staged.service" (1000 bytes, application/x-xz)
2022-08-15 09:25 UTC, Eduardo Medina
no flags Details

Description Eduardo Medina 2022-08-14 17:29:32 UTC
Created attachment 1905478 [details]
Defective version of GRUB2 in Fedora 36 Silverblue

Description of problem:
Hi, after updating GRUB2 to the 1:2.06-47.fc36 version, every time I update the system I always boot the latest image I ran again, so I think that GRUB2 isn't updating the list.

If I come back to the system image previous to the GRUB2 update I can update the system, but not after.


Version-Release number of selected component (if applicable): GRUB2 1:2.06-47.fc36


How reproducible:
Just update the system and install the GRUB2 1:2.06-47.fc36 packages. After that, the update process that rpm-ostree does always works correctly, but after reboot you see the same system image, so I think that GRUB2 isn't updating the list.

Steps to Reproduce:
1. Update GRUB2 to 1:2.06-47.fc36
2. Try to update the system again
3. You see that you always boot the image generated with GRUB2 1:2.06-47.fc36 packages.

Actual results:
You always boot the system image with GRUB2 1:2.06-47.fc36. You are forced to boot a previous image if you want to truly update the system.

Expected results:
To see GRUB2 updating the boot list correctly.

Comment 1 Eduardo Medina 2022-08-15 09:25:32 UTC
Created attachment 1905538 [details]
"rpm-ostree status" and "journalctl -b -1 -u ostree-finalize-staged.service"

I ran the following commands:

rpm-ostree status

journalctl -b -1 -u ostree-finalize-staged.service

But journalctl says the next: Journal file /var/log/journal/faa09861a0f44f35a6c3387cc7a4d990/system~ is truncated, ignoring file.

Comment 2 Eduardo Medina 2022-08-15 09:36:54 UTC
I repaired the bug doing these things.

sudo grub2-mkconfig

rpm-ostree update

But I'm not sure yet. Tomorrow I will check and update to ensure if this is really fixed or not.

Comment 3 Simon Wallace 2022-08-15 18:46:17 UTC
Users on Ask Fedora are also hitting what looks to be a very similar issue, as well as people on reddit.

https://ask.fedoraproject.org/t/fedora-silverblue-36-will-not-succesfully-deploy-after-layering-packages/25352

I have tried the fixes proposed here and while it does work to resolve the issue in the moment, doing further upgrades or package layering returns to the broken behavior.

Comment 4 Scott Williams 2022-08-16 02:07:16 UTC
Appears to have been reported upstream as an rpm-ostree issue - https://github.com/coreos/rpm-ostree/issues/3925

Comment 5 Fedora Update System 2022-08-17 17:28:44 UTC
FEDORA-2022-a3480ad0d3 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a3480ad0d3

Comment 6 Fedora Update System 2022-08-18 02:55:41 UTC
FEDORA-2022-a3480ad0d3 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a3480ad0d3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a3480ad0d3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-08-19 01:12:37 UTC
FEDORA-2022-a3480ad0d3 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a3480ad0d3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a3480ad0d3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Eduardo Medina 2022-08-21 09:12:32 UTC
It seems the bug was fixed with "my" workaround.

Comment 9 Fedora Update System 2022-08-23 01:15:56 UTC
FEDORA-2022-a3480ad0d3 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a3480ad0d3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a3480ad0d3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-09-01 09:39:47 UTC
FEDORA-2022-a3480ad0d3 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.